Scriptname zzzPO00script extends Quest  

Faction Property PenitusOculatusFaction  Auto  
Faction Property ThalmorFaction  Auto  

Armor Property ArmorPenitusBoots  Auto  
Armor Property ArmorPenitusCuirass  Auto  
Armor Property ArmorPenitusGauntlets  Auto  
Armor Property ArmorPenitusHelmet  Auto

Actor Property PlayerRef Auto  
Actor Property CommanderMaroRef Auto

Quest Property zzzPORadiant01 Auto
Quest Property zzzPORadiant02 Auto
Quest Property zzzPORadiant03 Auto
Quest Property zzzPORadiant04 Auto
Quest Property zzzPORadiant05 Auto

Quest Property zzzPO01Informant Auto
Quest Property zzzPO02Babette Auto
Quest Property zzzPO03Cicero Auto
Quest Property zzzPO04Sanctuary Auto
Quest Property zzzPO05AmaundMotierre Auto

GlobalVariable Property zzzPOQuestCount Auto

ObjectReference Property DawnstarSanctuaryPoisonersNookEnableMarker Auto
ObjectReference Property DawnstarSanctuaryBannersEnableMarker Auto
ObjectReference Property DawnstarSanctuaryTortureChamberEnableMarker Auto
ObjectReference Property DawnstarSanctuaryStainglassEnableMarker Auto
ObjectReference Property DawnstarSanctuaryBedroomEnableMarker Auto
ObjectReference Property DawnstarSanctuaryEnableMarker Auto
ObjectReference Property Wounded02FloorMarker Auto
ObjectReference Property DBTortureEnableMarker Auto
ObjectReference Property TortureRoomDoorRef Auto
Actor Property DBTortureVictim1Ref Auto
Actor Property DBTortureVictim2Ref Auto
Actor Property DBTortureVictim3Ref Auto
Actor Property DBTortureVictim4Ref Auto
ObjectReference Property zzzPORebrandEnableMarker Auto
ObjectReference Property zzzPOActorEnableMarker Auto
ObjectReference Property zzzPOPoleEnableMarker Auto
ObjectReference Property DawnstarBlackDoorExteriorRef Auto
ObjectReference Property DawnstarSanctuaryBlackDoorRef Auto
ObjectReference Property NMBodyDawnstarRef Auto
ObjectReference Property DawnstarSancNightMotherRef Auto
Actor Property DawnstarGuardian01 Auto
Actor Property DawnstarGuardian02 Auto
Actor Property DawnstarGuardian03 Auto
Actor Property DawnstarGuardian04 Auto
Actor Property DawnstarGuardian05 Auto
Actor Property DawnstarGuardian06 Auto
Actor Property DawnstarGuardian07 Auto
Actor Property DawnstarGuardian08 Auto
Actor Property DawnstarGuardian09 Auto
Actor Property DawnstarGuardian10 Auto
Actor Property DawnstarGuardian11 Auto
Actor Property DawnstarGuardian12 Auto

Actor Property zzzPOAssassin1Ref Auto
Actor Property zzzPOAssassin2Ref Auto
Actor Property zzzPOAssassin3Ref Auto
Actor Property zzzPOAssassin4Ref Auto
Actor Property zzzPOAssassin5Ref Auto
Actor Property zzzPOListenerRef Auto

ObjectReference Property DBBannerAnim01 Auto
ObjectReference Property DBBannerAnim02 Auto
ObjectReference Property DBBannerAnim03 Auto
ObjectReference Property DBBannerAnim04 Auto
ObjectReference Property DBBannerAnim05 Auto
ObjectReference Property DBBannerAnim06 Auto
ObjectReference Property DBBannerAnim07 Auto
ObjectReference Property DBBannerAnim08 Auto
ObjectReference Property DBBannerAnim09 Auto
ObjectReference Property DBBannerAnim10 Auto
ObjectReference Property DBBannerAnim11 Auto
ObjectReference Property DBBannerAnim12 Auto
ObjectReference Property DBBannerAnim13 Auto
ObjectReference Property DBBannerAnim14 Auto
ObjectReference Property DBBannerAnim15 Auto
ObjectReference Property DBBannerAnim16 Auto
ObjectReference Property DBBannerAnim17 Auto

ObjectReference Property DBBlackDoorExt2Ref Auto

ObjectReference Property zzzPORebrandEnableMarker2 Auto

ObjectReference Property WIDeadBodyCleanupCellMarker Auto

Actor Property LisRef Auto
Actor Property FestusKrexRef Auto
Actor Property ArnbjornRef Auto
Actor Property VeezaraRef Auto
Actor Property NazirRef Auto
Actor Property GabriellaRef Auto

Function UpdateFactions()
	PenitusOculatusFaction.SetEnemy(ThalmorFaction, True, True)
EndFunction

Function Join()
	PlayerRef.AddToFaction(PenitusOculatusFaction)
	PlayerRef.SetFactionRank(PenitusOculatusFaction, 1)
	PlayerRef.AddItem(ArmorPenitusCuirass, 1)
	PlayerRef.AddItem(ArmorPenitusBoots, 1)
	PlayerRef.AddItem(ArmorPenitusGauntlets, 1)
	PlayerRef.AddItem(ArmorPenitusHelmet, 1)
	UpdateFactions()
EndFunction

Quest Function GetMission()
	If !zzzPORadiant01
		zzzPORadiant01 = Quest.GetQuest("zzzPORadiant01")
	EndIf
	If !zzzPORadiant02
		zzzPORadiant02 = Quest.GetQuest("zzzPORadiant02")
	EndIf
	If !zzzPORadiant03
		zzzPORadiant03 = Quest.GetQuest("zzzPORadiant03")
	EndIf
	If !zzzPORadiant04
		zzzPORadiant04 = Quest.GetQuest("zzzPORadiant04")
	EndIf
	If !zzzPORadiant05
		zzzPORadiant05 = Quest.GetQuest("zzzPORadiant05")
	EndIf
	If !zzzPO01Informant
		zzzPO01Informant = Quest.GetQuest("zzzPO01Informant")
	EndIf

	Int questCount = zzzPOQuestCount.GetValueInt()
	If questCount == 0
		return zzzPORadiant04
	ElseIf questCount == 1
		return zzzPORadiant01
	ElseIf questCount == 2
		return zzzPORadiant03
	ElseIf !zzzPO01Informant.IsCompleted()
		return zzzPO01Informant
	EndIf
	Int random = Utility.RandomInt(0, 4)
	If random == 0
		return zzzPORadiant01
	ElseIf random == 1
		return zzzPORadiant02
	ElseIf random == 2
		return zzzPORadiant03
	ElseIf random == 3
		return zzzPORadiant04
	ElseIf random == 4
		return zzzPORadiant05
	EndIf
	return zzzPORadiant01
EndFunction

Function StartMission()
	Quest mission = GetMission()
	mission.Reset()
	mission.Start()
	mission.SetStage(0)
	zzzPOQuestCount.SetValueInt(zzzPOQuestCount.GetValueInt() + 1)
	UpdateFactions()
EndFunction

Function SetSanctuary()
	DawnstarSanctuaryEnableMarker.Disable()

	DawnstarSanctuaryBannersEnableMarker.Enable()
	DawnstarSanctuaryTortureChamberEnableMarker.Enable()
	DawnstarSanctuaryBedroomEnableMarker.Enable()
	DBTortureEnableMarker.Enable()

	Wounded02FloorMarker.Disable()
	TortureRoomDoorRef.Disable()
EndFunction

Function SetSanctuaryHostile1()
	SetSanctuary()
	DawnstarSanctuaryStainglassEnableMarker.Disable()
	NMBodyDawnstarRef.Enable()
	DawnstarSancNightMotherRef.Enable()
	DawnstarSanctuaryBannersEnableMarker.Enable()

	DawnstarGuardian01.Enable()
	DawnstarGuardian02.Enable()
	DawnstarGuardian03.Enable()
	DawnstarGuardian04.Enable()
	DawnstarGuardian05.Enable()
	DawnstarGuardian06.Enable()
	DawnstarGuardian07.Enable()
	DawnstarGuardian08.Enable()
	DawnstarGuardian09.Enable()
	DawnstarGuardian10.Enable()
	DawnstarGuardian11.Enable()
	DawnstarGuardian12.Enable()

	zzzPOAssassin1Ref.Enable()
	zzzPOAssassin2Ref.Enable()
	zzzPOAssassin3Ref.Enable()
	zzzPOAssassin4Ref.Enable()
	zzzPOAssassin5Ref.Enable()
	zzzPOListenerRef.Enable()

	zzzPOActorEnableMarker.Enable()
	zzzPOPoleEnableMarker.Enable()
	zzzPORebrandEnableMarker.Disable()

	DawnstarBlackDoorExteriorRef.Disable()
	DawnstarSanctuaryBlackDoorRef.Enable()

	DBTortureVictim1Ref.SetRestrained(1)
	DBTortureVictim2Ref.SetRestrained(1)
	DBTortureVictim3Ref.SetRestrained(1)
	DBTortureVictim4Ref.SetRestrained(1)
EndFunction

Function SetSanctuaryHostile2()
	SetSanctuary()
	DawnstarSanctuaryStainglassEnableMarker.Enable()

	DawnstarBlackDoorExteriorRef.Enable()
	DawnstarSanctuaryBlackDoorRef.Disable()
EndFunction

Function SetSanctuaryFriendly()
	SetSanctuary()
	DawnstarSanctuaryStainglassEnableMarker.Disable()
	NMBodyDawnstarRef.Disable()
	DawnstarSancNightMotherRef.Disable()
	DawnstarBlackDoorExteriorRef.Disable()
	DawnstarSanctuaryBlackDoorRef.Disable()
	DawnstarSanctuaryBannersEnableMarker.Disable()

	DawnstarGuardian01.Disable()
	DawnstarGuardian02.Disable()
	DawnstarGuardian03.Disable()
	DawnstarGuardian04.Disable()
	DawnstarGuardian05.Disable()
	DawnstarGuardian06.Disable()
	DawnstarGuardian07.Disable()
	DawnstarGuardian08.Disable()
	DawnstarGuardian09.Disable()
	DawnstarGuardian10.Disable()
	DawnstarGuardian11.Disable()
	DawnstarGuardian12.Disable()

	zzzPOActorEnableMarker.Disable()
	zzzPOPoleEnableMarker.Disable()
	zzzPORebrandEnableMarker.Enable()
EndFunction

Function SetSanctuary2()
	zzzPORebrandEnableMarker2.Enable()
	DBBannerAnim01.MoveTo(zzzPORebrandEnableMarker2)
	DBBannerAnim02.MoveTo(zzzPORebrandEnableMarker2)
	DBBannerAnim03.MoveTo(zzzPORebrandEnableMarker2)
	DBBannerAnim04.MoveTo(zzzPORebrandEnableMarker2)
	DBBannerAnim05.MoveTo(zzzPORebrandEnableMarker2)
	DBBannerAnim06.MoveTo(zzzPORebrandEnableMarker2)
	DBBannerAnim07.MoveTo(zzzPORebrandEnableMarker2)
	DBBannerAnim08.MoveTo(zzzPORebrandEnableMarker2)
	DBBannerAnim09.MoveTo(zzzPORebrandEnableMarker2)
	DBBannerAnim10.MoveTo(zzzPORebrandEnableMarker2)
	DBBannerAnim11.MoveTo(zzzPORebrandEnableMarker2)
	DBBannerAnim12.MoveTo(zzzPORebrandEnableMarker2)
	DBBannerAnim13.MoveTo(zzzPORebrandEnableMarker2)
	DBBannerAnim14.MoveTo(zzzPORebrandEnableMarker2)
	DBBannerAnim15.MoveTo(zzzPORebrandEnableMarker2)
	DBBannerAnim16.MoveTo(zzzPORebrandEnableMarker2)
	DBBannerAnim17.MoveTo(zzzPORebrandEnableMarker2)

	DBBlackDoorExt2Ref.Disable()

	CleanUpBodies()
EndFunction

Function CleanUpBodies()
	CheckBody(LisRef)
	CheckBody(FestusKrexRef)
	CheckBody(ArnbjornRef)
	CheckBody(VeezaraRef)
	CheckBody(NazirRef)
	CheckBody(GabriellaRef)
EndFunction

Function CheckBody(Actor akActor)
	If !LisRef.Is3DLoaded()
		akActor.MoveTo(WIDeadBodyCleanupCellMarker)
	EndIf
EndFunction
